### Method

# FwupdPlugin Device retry_full

#### Declaration [src]

    gboolean
    fu_device_retry_full (
      FuDevice* self,
      FuDeviceRetryFunc func,
      guint count,
      guint delay,
      gpointer user_data,
      GError** error
    )

#### Description [src]

Calls a specific function a number of times, optionally handling the error with a reset action.

If `fu_device_retry_add_recovery()` has not been used then all errors are considered non-fatal until the last try.

If the reset function returns `FALSE`, then the function returns straight away without processing any pending retries.

Available since: | 1.5.5

#### Parameters

`func` | `FuDeviceRetryFunc`
| A function to execute.
`count` | `guint`
| The number of tries to try the function.
`delay` | `guint`
| The delay between each try in ms.
`user_data` | `gpointer`
| A helper to pass to `func`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| No description available.